import java.io.FileReader;
import javax.script.ScriptEngine;
import javax.script.ScriptEngineManager;

public class RunScriptFileDemo {

    public static void main(String[] args) {

        // the first argument must be the path to the script file
        if (args.length != 1) {
            System.out.println(
                    "Usage: java RunScriptFile [file]");
            System.exit(0);
        }

        // create ScriptEngineManager
        ScriptEngineManager manager = new ScriptEngineManager();

        // get the ScriptEngine for JavaScript (js) 
        ScriptEngine engine = manager.getEngineByName("js");

        // open file, and execute the script
        try {
            FileReader reader = new FileReader(args[0]);
            engine.eval(reader);
            reader.close();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
